<bugID>706970<Summary>Tabs restored at startup (app tabs, session restore) should be refreshed from server, not in a "stale" state from cache</Summary><Description>User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:8.0.1) Gecko/20100101 Firefox/8.0.1
Build ID: 20111120135848

Steps to reproduce:

I opened some tabs,
and having enabled "Don't load tabs until selected" and "When Firefox starts: Show my windows &amp; tabs from last time" is enabled)
I closed Firefox.


Actual results:

When I restarted Firefox, all tabs
(both the active tab which was automatically loaded 
and the other tabs which I had to select in order to be loaded)
were reloaded from CACHE.


Expected results:

The tabs should be loaded by connecting to the SERVERS, not from cache.

I believe that, the user, when he restarts Firefox having these two options enabled,
expects that the (restored) tabs that he clicks to be loaded, have CURRENT/FRESH content and are not loaded from cache 
(that's would justify better the "extra click" by the user, I think).


Currently, the only way to make Firefox reload the pages at startup
is by enabling Tools&gt;Privacy "Clear history when Firefox closes" and ticking the "Cache" box inside.</Description></bugID>